- class: tango_attr_as_counter
  uri: id00/tango/dummy
  plugin: bliss
  counters:
    - name: taac_undu_position
      attr_name: position
      mode: MEAN
      unit: km
      format: "%5.3f"
      allow_failure: False
    - name: taac_undu_power_0
      attr_name: powers
      index: 0
    - name: taac_undu_power_1
      attr_name: powers
      index: 1
    - name: taac_undu_acceleration
      attr_name: acceleration
      mode: LAST
      # no format, no unit for test.
    - name: taac_undu_velocity
      attr_name: velocity
      unit: mm
    - name: wrong_counter
      attr_name: wrong_attr
      unit: mm
    - name: taac_undu_wrong_attr_name
      attr_name: cracoucas
      # wrong attr_name.
    - name: taac_none_attr
      attr_name: none_attr


- class: tango_attr_as_counter
  plugin: bliss
  counters:
    - name: no_uri_counter
      attr_name: no_uri_attr
